# Class ForbbidenException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when an operation is forbidden or access to a resource is denied.

    public class ForbbidenException : Exception, ISerializable

Inheritance
  object
  Exception
  ForbbidenException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This exception is intended to signal that a requested action violates access rules or restrictions, allowing callers to handle forbidden scenarios distinctly from other error conditions.

## Constructors

### ForbbidenException(string)

Initializes a new instance of the ForbbidenException class with a specified error message.

    public ForbbidenException(string message)

#### Parameters

`message` string

  The message that describes the error.

### ForbbidenException(ErrorMessage)

Initializes a new instance of the ForbbidenException class with a specified error message from the HttpEnum.ErrorMessage enumeration.

    public ForbbidenException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The HttpEnum.ErrorMessage enumeration value whose integer representation is used as the exception message.